Skip to content
CatalogChannels

Evaluate unsaved channel requirements of products without saving or publishing

Evaluates draft categories and fields per product without saving or publishing.

POST/v1/channels/{channelId}/listings/requirements/preview
Requires an access token with the channel:read permission.

Path Parameters

channelId*string

Identifier of the sales channel.

Header Parameters

x-Store-Id?string

Store the request acts on. Not needed when the token is bound to a store.

Authorization*string

OAuth 2.0 bearer token.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://api.ecomiq.pe/api/v1/channels/7204558912004329619/listings/requirements/preview" \  -H "x-Store-Id: <store-id>" \  -H "Authorization: Bearer <token>" \  -H "Content-Type: application/json" \  -d '{    "productId": "7204558912004322039",    "rows": [      {        "listingId": "7204558912004321492",        "values": {          "key": {            "value": "Mi tienda",            "valueId": "7204558912004324721"          }        },        "variantId": "7204558912004323197",        "brand": "Andina",        "category": "Polos",        "productId": "7204558912004322039"      }    ]  }'
{  "columns": [    {      "externalId": "7204558912004323067",      "name": "Tienda online",      "required": true,      "optionValues": [        {          "id": "7204558912004325220",          "name": "Material"        }      ],      "allowCustomValue": false,      "target": "attribute",      "variant": false,      "valueType": "Tienda online"    }  ],  "rows": [    {      "listingId": "7204558912004321492",      "productId": "7204558912004322039",      "productName": "Tienda online",      "sku": "POL-001-AZ-M",      "readinessStatus": "ready",      "categoryPath": "Tienda online",      "categoryMapped": false,      "missing": 1,      "values": {        "key": {          "value": "Tienda online",          "source": "Tienda online",          "state": "ok",          "variantValues": [            {              "variantId": "7204558912004323197",              "sku": "POL-001-AZ-M",              "value": "Polo de algodón Azul / M",              "source": "Tienda online",              "valueId": "7204558912004324721",              "state": "ok"            }          ]        }      }    }  ],  "total": 178,  "nextCursor": "eyJpZCI6IjcyMDQ1NTg5MTIwMDQzMjUzMDEifQ",  "choices": {    "key": {      "key": {        "optionValues": [          {            "id": "7204558912004325220",            "name": "Material"          }        ],        "allowCustomValue": false,        "valueType": "Tienda online",        "allowedUnits": [          {            "id": "7204558912004325220",            "name": "Material"          }        ],        "defaultUnit": "Tienda online"      }    }  }}